#![no_std]
#![no_main]

use wspr_beacon as _; // memory layout + panic handler

// See https://crates.io/crates/defmt-test/0.1.0 for more documentation (e.g. about the 'state'
// feature)
#[defmt_test::tests]
mod tests {
    use arrayvec::ArrayString;
    use defmt::{assert, assert_eq};
    use wspr_beacon::loc;

    #[test]
    fn assert_true() {
        let res = loc::locator_from_coordinates(49.4395, 7.7635);

        assert_eq!(res.as_str(), "JN39vk")
    }
}
